# Documentation de YesWiki

YesWiki se présente comme un outil de création de sites web conçu pour **faciliter la coopération**. La modification des pages s'opère par un **simple double-clic**. Le langage wiki, quant à lui, intègre un **langage de balisage léger** et simple d'utilisation. 

YesWiki étant un **logiciel interopérable**, il permet d'intégrer d'autres logiciels ou services Internet. Il est possible par exemple d'insérer et afficher dans les pages un outil de co-écriture comme un pad, un agenda en ligne, une vidéo ou encore une autre page web (iframe). Yeswiki facilite grandement l'intégration dynamique de contenus en provenance d'autres yeswikis. L'import et l'export de données sont aussi possibles en différents formats (csv, json, ical...)

YesWiki permet de **créer des bases de données coopératives** pour collecter des informations à l'aide de formulaires, qui peuvent **ensuite être restituées** sous forme d'agenda, carte géographique, annuaire, fil d'actualités, album photos, tableaux... agrémenté d'option de **filtrage dynamique** si souhaité. 

La **création des pages est facile** et se réalise de n'importe où par ajout d'un simple code. YesWiki dispose d'un **système de mots-clés** permettant de regrouper les pages et les fichiers par thème et ce, indépendamment de la structure de menu. 

**Des fonctionnalités avancées**, telles que structuration des pages en colonnes, menu complémentaire, couleurs et polices peuvent être mises en œuvre aisément via l'appel à des actions. Ces actions **s'activent via l'écriture d'un simple code** ou à travers des composants qui facilitent le choix des paramètres.

Yeswiki utilise le principe **[des handlers](/fr/prise-en-main?id=les-handlers.md)**. Un handler est une commande qui permet d'agir sur une page en ajoutant à la fin de l'adresse URL, le signe / suivi du nom du handler.

La gestion **des droits d'accès peut être réalisée au niveau de chaque page** ou de multiples pages, en lecture, écriture, commentaire et ce, par utilisateurs ou par groupes. 

Le système de sauvegarde des pages permet de **restaurer une version antérieure** et facilite la comparaison de la version actuelle avec les versions antérieures. Plusieurs interfaces de gestion permettent à l'administrateur de gérer en masse les droits d'accès, l'aspect graphique, les thèmes par défaut... 

YesWiki dispose de **nombreux "thèmes"** permettant d'agir sur le graphisme générale du wiki. Ils sont constitués d'un squelette et d'un style. Le squelette définit la mise en page générale (ex : responsive, pleine page, une ou plusieurs colonnes, etc). Le style associe une feuille de style qui définit la police, la taille, la couleur, les titres, les paragraphes, etc. Plusieurs squelettes et plusieurs styles sont disponibles par thème. Les thèmes peuvent être personnalisés page par page, ainsi que les menus, en-têtes et pieds de page. 

**Des extensions** (tools) permettent d'utiliser YesWiki en plateforme de formation en ligne LMS , d'ajouter un générateur de livres ou de fanzines, de créer une ferme à wikis, de générer les pages en pdf pour la publication, de se connecter via les protocoles LDAP ou SSO. Un mode "hibernate" est disponible pour figer l'espace collaboratif et éviter les modifications de contenu. 

## Obtenir son YesWiki
Yeswiki peut s'installer sur un serveur web classique ou en local 
Rendez-vous dans la [partie dev de la documentation](/fr/webmaster.md)




